$(function () {
  DataBindings();
  ResponsiveNavbar();
  // DotMenu();
  Parallax();
})

function DataBindings() {
  // use the data-flexwork-image attribute as the image background
  $('.bg-image').each(function () {
    let url = $(this).attr('data-flexwork-image');

    $(this).css({
      'background-image': 'url(' + url + ')'
    })
  })
}

function ResponsiveNavbar() {
  var $navShown = false;

  $('.navbar-wrapper > .menu-icon').on('click', function (e) {
    if ($navShown) {
      $('.navbar-wrapper > nav').removeClass('show');
      $navShown = false;
    } else {
      $('.navbar-wrapper > nav').addClass('show');
      $navShown = true;
    }
    e.stopPropagation();
  })

  $('.navbar-wrapper > nav').on('click', function (e) {
    e.stopPropagation();
  })


  $('body').on('click', function () {
    if ($navShown) {
      $('.navbar-wrapper > nav').removeClass('show');
      $navShown = false;
    }
  })
}

function DotMenu(_menu) {

  var visible = false;
  var menu = _menu;

  menu.on('click', function (e) {
    if (visible) {
      hide();
    } else {
      show();
    }
    e.stopPropagation();
  })

  $('body').on('click', function () {
    if (visible) {
      hide()
    }
  })

  function show() {
    menu.addClass('show')
    visible = true;
  }

  function hide() {
    menu.removeClass('show');
    visible = false;
  }

}

function Modal(element) {
  var visible = false;


  this.show = function () {
    element.addClass('show')
    visible = true;
  }

  this.hide = function () {
    element.removeClass('show');
    visible = false;
  }

  element.on('click', function (e) {
    e.stopPropagation();
  })

  let self = this;

  // $('body').on('click', function () {
  //     if (visible) {
  //         self.hide();
  //     }
  // })

}

function Parallax() {
  $parallax_background = $('.parallax-background');
  $(window).scroll(function () {
    let scroll = $(this).scrollTop();
    $parallax_background.css({
      'background-position': 'center ' + -scroll / 5 + 'px'
    })
  })

  $parallax = $('.parallax');
  $(window).scroll(function () {
    let scroll = $(this).scrollTop();
    $parallax.css({
      'transform': 'translateY(' + -scroll / 5 + 'px)'
    })
  })

  $parallax_reversed = $('.parallax-reversed');
  $(window).scroll(function () {
    let scroll = $(this).scrollTop();
    $parallax_reversed.css({
      'transform': 'translateY(' + scroll / 3 + 'px)'
    })
  })
}